Show / Hide Table of Contents

# Class Chara

This class represents the base for non-static entities.

##### Inheritance

System.Object
Actor
Chara
Npc
PlayerCharacter

##### Inherited Members

Actor.actorStruct
Actor.dalamud
Actor.Position
Actor.Name
Actor.ActorId
Actor.ObjectKind
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class Chara : Actor

### Constructors

| Improve this Doc View Source

#### Chara(Actor, Dalamud)

Set up a new Chara with the provided memory representation.

##### Declaration

    protected Chara(Actor actorStruct, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
Actor | actorStruct | The memory representation of the base actor.
Dalamud.Dalamud | dalamud | A dalamud reference needed to access game data in Resolvers.

### Properties

| Improve this Doc View Source

#### ClassJob

The ClassJob of this Chara.

##### Declaration

    public ClassJob ClassJob { get; }

##### Property Value

Type | Description
--- | ---
ClassJob |

| Improve this Doc View Source

#### CurrentHp

The current HP of this Chara.

##### Declaration

    public int CurrentHp { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentMp

The current MP of this Chara.

##### Declaration

    public int CurrentMp { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Level

The level of this Chara.

##### Declaration

    public byte Level { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxHp

The maximum HP of this Chara.

##### Declaration

    public int MaxHp { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MaxMp

The maximum MP of this Chara.

##### Declaration

    public int MaxMp { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |